function h = NewPaperFigure(varargin)

h = figure;

ColorInd = find(strcmpi(varargin,'color')==1);
switch isempty(ColorInd)
    case 0
        color = varargin{ColorInd+1};
    case 1
        color = 'w';
end

LocationInd = find(strcmpi(varargin,'position')==1);
switch isempty(LocationInd)
    case 0
        location = varargin{LocationInd+1};
    case 1
        location = [0 0];
end

MarginInd = find(strcmpi(varargin,'margin')==1);
switch isempty(MarginInd)
    case 0
        margin = varargin{MarginInd+1};
    case 1
        margin=[0 0];
end

x = 8.5-2*margin(1);
y = 11.0-2*margin(2);

set(h, 'PaperPositionMode', 'manual');
set(h, 'PaperUnits', 'inches');
set(h, 'PaperPosition', [margin(1) margin(2) x y]);

set(h,'position',[location(1) location(2) x/y*800 800],'color',color);