function Handles = TransparentBounds(AxesHandle,x,yl,ym,yu)
% 
% make a line plot of ym vs x, with a semi-transparent lower bound yl vs x
% and yu vs x. The first input is a handle to the axes where you want the
% plot made. x, yl, ym, yu should all be column vectors.

axes(AxesHandle);
hold on

ye = [yl;flipud(yu);yl(1)];

xe = [x;flipud(x);x(1)];
Handles.ErrorPatch = patch(xe,ye,'b');
set(Handles.ErrorPatch,'linestyle','none','facecolor',[0 0 0.95]);

Handles.MiddleLine = plot(x,ym,'k');
set(Handles.MiddleLine,'linewidth',2);