function PublishOutput = Assignment4graph(PublishInput)
% this function will plot data from web of science
% takes only 1 input file - which needs to be an xls (not xlsx)

BaseDirectory = cd;

try

  set(PublishInput.ProgramStatusIndicator,'string','Assignment4graph: Running...','foregroundcolor','g');drawnow;

  % close all open figures
  for i = 1:10
      try
          close(i);
      end
  end
  
  
NPF = EnableHelperFunction([],{'FigureProduction';'NewPaperFigure.m'});
TransparentBounds = EnableHelperFunction([],{'Graphics';'TransparentBounds.m'});
rotateXLabels = EnableHelperFunction([],{'rotateXLabels.m'});

h = NPF('margin',[0.5 0.5]);

axesh = axes('position',[0.085 0.7025 0.8783 0.2704]);

% get data from excel file
%[Data1,Header] = xlsread(PublishInput.ResultFiles{1});
%only for second sheet of data: [Data2,Header] = xlsread(PublishInput.ResultFiles{2});

[NUM,TXT,RAW] = xlsread(PublishInput.ResultFiles{1});

Location = RAW(2:end,1); % cell array of text
Result = cell2mat(RAW(2:end,2:end))


%ind = find(Result>10);

%bar(Result,'facecolor',[0.3,0.6,1]);
bar(Result,'stack')
colormap cool

%State(ind)




set(axesh,'xtick',[1:length(Location)],'xticklabel',Location,'fontname','myriad');
rotateXLabels(axesh,40);

legend('First','Second','Third','Others','fontname','myriad')

xlabel('Location','fontname','myriad','fontsize',12,'fontweight','bold');
ylabel('Number of Publications','fontname','myriad','fontsize',12,'fontweight','bold');
title('Breakdown of Publications By Location and Organization','fontsize',16,'fontweight','bold')
%set(GraphicsHandle.ErrorPatch,'facecolor','r')

% meanh = plot(State,mean(Results,2));
% hold on

% M = mean(Results,2);
% %S = std(Results,[],2);
% %GraphicsHandle = TransparentBounds(axesh,Year,M-2*S,M,M+2*S);
% %GraphicsHandle = TransparentBounds(axesh,State,M);
% 
% %GraphicsHandle.ErrorPatch, GraphicsHandle.MiddleLine are names from
% %TransparentBounds.m file --> coded that way
% 
% %set(GraphicsHandle.ErrorPatch,'facecolor','r')
% 
% xlim([0 50]);
% ylim([0 250]);






catch err
  set(PublishInput.ProgramStatusIndicator,'string','Assignment4graph had an error. See Matlab window for details.','foregroundcolor','r');drawnow;
  cd(BaseDirectory);
  rethrow(err);
end

PublishOutput = 1;