function PublishOutput = DigitizeFigure(PublishInput)
% Publishing Methods are .m functions that look at result files and produce new result files or publication figures
% PublishInput
%     .ResultFiles - cell array of file names passed to the method
%     .HelperFunctions - cell array of helper function names to be used with EnableHelperFunction
%     .PathSep - path separator '/' in mac/linux and '\' in windows
%     .ProgramStatusIndicator - a handle to the Program Status Indicator on the front panel so that status can be updated from within the reader
% PublishOutput - not currently used
%

BaseDirectory = cd;

try

  set(PublishInput.ProgramStatusIndicator,'string','DigitizeFigure: Running...','foregroundcolor','g');drawnow;

%----------- Your code here !!! ---------------

for i = 1:10
    try
        close(i);
    end
end

digitize2 = EnableHelperFunction([],{'Digitize';'digitize2.m'});

figure(1);

digitize2(PublishInput.ResultFiles{1});

catch err
  set(PublishInput.ProgramStatusIndicator,'string','DigitizeFigure had an error. See Matlab window for details.','foregroundcolor','r');drawnow;
  cd(BaseDirectory);
  rethrow(err);
end

PublishOutput = 1;
