function PublishOutput = PlaceFigures(PublishInput)
% Publishing Methods are .m functions that look at result files and produce new result files or publication figures
% PublishInput
%     .ResultFiles - cell array of file names passed to the method
%     .HelperFunctions - cell array of helper function names to be used with EnableHelperFunction
%     .PathSep - path separator '/' in mac/linux and '\' in windows
%     .ProgramStatusIndicator - a handle to the Program Status Indicator on the front panel so that status can be updated from within the reader
% PublishOutput - not currently used
%

BaseDirectory = cd;

try

  set(PublishInput.ProgramStatusIndicator,'string','PlaceFigures: Running...','foregroundcolor','g');drawnow;

  for i = 1:10
      try
          close(i);
      end
  end
  
%----------- Your code here !!! ---------------


% Enable relevant helper functions
NPS = EnableHelperFunction([],{'FigureProduction';'NewPresentationSlide.m'});
NPF = EnableHelperFunction([],{'FigureProduction';'NewPaperFigure.m'});

% place figure on paper figure
h = NPF('Margin',[0.5 0.5]);
msgh = msgbox('Select "Insert .. Axes" to put the figure where you want it. Press enter when done.');
waitfor(msgh);

pause

% place figure on presentation slide
h = NPS('color','k');
msgh = msgbox('Select "Insert .. Axes" to put the figure where you want it. Press enter when done.');
waitfor(msgh);

catch err
  set(PublishInput.ProgramStatusIndicator,'string','PlaceFigures had an error. See Matlab window for details.','foregroundcolor','r');drawnow;
  cd(BaseDirectory);
  rethrow(err);
end

PublishOutput = 1;
